PT BIA - Support #1774

[ESS Overtime] - Retro Date
10/28/2022 10:24 AM - Fiona Avangeline Jonathan

Status: Closed Start date: 10/28/2022
Priority: Urgent Due date:

Assignee: Fiona Avangeline Jonathan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 18.00 hours
Description

Mas Azid,

Mohon dibantu untuk ESS Overtime di BIA yang sekarang Retro Date dan Correction Status nya tidak terupdate. Berikut ketentuan
untuk update Retro Date dan Correction Status.
Task ID condition: cond_save_md15

1. Retro Date akan terupdate jika ada pengajuan ESS dengan tanggal sebelum Payroll Period. (Contoh: PayrollPeriod bulan 11, ada
pengajuan ESS bulan 10. Maka Retro Date akan terupdate dengan StartDate dari pengajuan ESS tersebut).

2. Jika ada pengajuan ESS kedua dengan tanggal sebelum tanggal pengajuan ESS pertama, maka Retro Date akan kembali
terupdate dengan tanggal pengajuan ESS. Retro date akan keupdate jika tanggal overtime lebih awal dari retro date
sebelumnya. (Contoh: PayrollPeriod bulan 11, Pengajuan pertama tgl 28 Oktober, maka RetroDate sudah terupdate menjadi
tanggal 28 Oktober. Kemudian ada pengajuan kedua ESS di tanggal 20 Juni, maka RetroDate akan terupdate dengan StartDate
ESS terbaru).

3. Jika ada pengajuan ESS ketiga, dengan tanggal sesudah tanggal pengajuan ESS kedua, maka Retro Date tidak akan terupdate
dengan tanggal pengajuan ESS. (Contoh: PayrollPeriod bulan 11, Pengajuan pertama tgl 28 Oktober, maka RetroDate sudah
terupdate menjadi tanggal 28 Oktober. Kemudian ada pengajuan kedua ESS di tanggal 20 Juni, maka RetroDate akan terupdate
dengan StartDate ESS 20 Juni. Pengajuan ketika ESS tgl 29 Oktober, maka RetroDate TIDAK terupdate dan tetap di tgl 20 Juni).

4. Jika ada data ESS Overtime di tanggal yang sama dengan PayrollPeriod maka RetroDate tidak terupdate. (Contoh: PayrollPeriod
bulan 11, pengajuan ESS bulan 11, maka RetroDate tidak terupdate)

5. Correction Status pasti terupdate jika ada pengajuan ESS yang masuk dengan kode Payroll = 1 di MDCON.

Port: http://remote.minovais.com:31137/

Terima kasih.

History

#1 - 10/28/2022 10:24 AM - Fiona Avangeline Jonathan

- Status changed from New to Assigned

#2 - 11/16/2022 12:56 PM - M Azid Wahyudi

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Fiona Avangeline Jonathan
dear fiona udah bisa di test ya

udah dideploy di 77 sama 66

package : deftask cond_save_md15 & custparam CondOTSaveMD15New
makasih

#3 - 11/16/2022 05:12 PM - Fiona Avangeline Jonathan

- Status changed from QA Test to Revise

- Assignee changed from Fiona Avangeline Jonathan to M Azid Wahyudi
Mas Azid,

Untuk poin 1-2,4-5 sudah ok. Mohon dibantu untuk poin ke 3, ketika di tes retro date masih terupdate.

Terima kasih.
Note:

Penambahan di DEFTASK : process type = u untuk prc post MD 15
DEFBIZDATA : field Correction Status

SDATATABLEFIELD : field Correction Status, is Hidden = 1, DefaultValue = 1

#4 - 11/17/2022 11:34 AM - M Azid Wahyudi
- Status changed from Revise to QA Test

- Assignee changed from M Azid Wahyudi to Fiona Avangeline Jonathan

dear fiona , coba test lagi

makasih

#5 - 11/17/2022 02:08 PM - M Azid Wahyudi

package :

update cutparam :

id :

- AZGetEMPDownline

- CondOTSaveMD15New

makasih

#6 - 11/17/2022 02:10 PM - Fiona Avangeline Jonathan
- File Book2.xIsx added

- Status changed from QA Test to Closed

Done, terima kasih.

Penambahan field baru: DateFrom2
Pembahan SDATATABLEFIELD, FIELDPOS, DEFBIZDATA sesuai excel terlampir.

Files
Book2.xIsx 11.9 KB 11/17/2022 Fiona Avangeline Jonathan
